## plasma-welcome 6.4.5+p24.04+vstable+git20250930.0511

=== debian/changelog ===
plasma-welcome (6.4.5+p24.04+vstable+git20250930.0511-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:11:37 +0000

plasma-welcome (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:52:56 +0000

plasma-welcome (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:34:24 +0000
