## plasma-welcome 6.4.5+p24.04+vstable+git20251004.0531

=== debian/changelog ===
plasma-welcome (6.4.5+p24.04+vstable+git20251004.0531-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:31:04 +0000
