## plasma-welcome 6.4.5+p24.04+vstable+git20251012.0052

=== debian/changelog ===
plasma-welcome (6.4.5+p24.04+vstable+git20251012.0052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 00:52:38 +0000
