## plasma-welcome 6.4.5+p24.04+vstable+git20251017.0649

=== debian/changelog ===
plasma-welcome (6.4.5+p24.04+vstable+git20251017.0649-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 06:49:46 +0000
