=== debian/control ===
--- 
+++ 
@@ -24,13 +24,12 @@
                libkf6userfeedback-dev,
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.4.91~),
+               libplasma-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev,
                qt6-svg-dev (>= 6.9.0~),
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://invent.kde.org/plasma/plasma-welcome
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-welcome
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-welcome.git
