## plasma-welcome 6.5.0+p24.04+vstable+git20251028.1236

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -58,22 +58,26 @@
     qml/pages/SimpleByDefault.qml
     qml/pages/PowerfulWhenNeeded.qml
     qml/pages/powerfulwhenneeded/PlasmaFeatureCard.qml
+    qml/pages/powerfulwhenneeded/MetaKey.qml
     qml/pages/powerfulwhenneeded/Overview.qml
     qml/pages/powerfulwhenneeded/KRunner.qml
     qml/pages/powerfulwhenneeded/KDEConnect.qml
     qml/pages/powerfulwhenneeded/Activities.qml
     qml/pages/powerfulwhenneeded/Vaults.qml
-    qml/pages/powerfulwhenneeded/SystemSettings.qml
     qml/pages/Discover.qml
     qml/pages/Feedback.qml
     qml/pages/Enjoy.qml
     qml/pages/enjoy/Supporters.qml
 
     RESOURCES
-    assets/krita.png
+    assets/blender.svg
     assets/endlesssky.png
+    assets/gimp.svg
+    assets/krita.svg
     assets/konqi-kde-hi.png
     assets/konqi-default.png
+    assets/kstars.svg
+    assets/vlc.png
 )
 
 target_compile_definitions(plasma-welcome PRIVATE "DISTRO_CUSTOM_PAGE_FOLDER=\"${DISTRO_CUSTOM_PAGE_FOLDER}\"")
@@ -95,7 +99,6 @@
     KF6::I18n
     KF6::I18nQml
     KF6::JobWidgets
-    KF6::KIOGui
     KF6::Service
     KF6::WindowSystem
     Plasma::Plasma
