=== debian/changelog ===
plasma-welcome (6.5.0+p24.04+vstable+git20251028.1236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:36:29 +0000

plasma-welcome (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:50:47 +0000
