=== debian/control ===
Source: plasma-welcome
Section: kde
Priority: optional
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kjobwidgets-dev,
               kf6-knewstuff-dev,
               kf6-kservice-dev,
               kf6-ksvg-dev,
               kf6-kuserfeedback-dev,
               kf6-kuserfeedback-dev,
               kf6-kwindowsystem-dev,
               libkaccounts-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/plasma/plasma-welcome
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma-welcome.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma-welcome
Maintainer: Neon CI <neon@kde.org>

Package: plasma-welcome
Architecture: any
Depends: kf6-kirigami2,
         kf6-knewstuff,
         libplasma6,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Welcome Center
 Welcome Center is the perfect introduction to KDE Plasma! It can help
 you learn how to connect to the internet, install apps, customize the
 system, and more!
