## plasma-welcome 6.5.1+p24.04+vstable+git20251029.0829

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(welcome)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 
 set(PROJECT_DEP_VERSION "6.5.1")
