=== debian/changelog ===
plasma-welcome (6.5.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Detect QML-dependencies automatically (Closes: #1126490).
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Tue, 10 Feb 2026 05:07:51 +0100

plasma-welcome (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:53:14 +0100
