=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: plasma-welcome
 Section: kde
-Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-qmldeps,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                kirigami-addons-dev (>= 1.2.0~),
@@ -24,12 +24,15 @@
                libkf6userfeedback-dev,
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.3~),
+               libplasma-dev (>= 6.5.4~),
+               milou,
+               plasma-nm,
+               qml6-module-org-kde-plasma-plasma5support,
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev,
                qt6-svg-dev (>= 6.9.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/plasma/plasma-welcome
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-welcome
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-welcome.git
@@ -39,15 +42,8 @@
 Depends: milou,
          plasma-desktoptheme,
          plasma-nm,
-         qml6-module-org-kde-kcmutils,
-         qml6-module-org-kde-kirigami,
-         qml6-module-org-kde-ksvg,
-         qml6-module-org-kde-plasma-plasma5support,
-         qml6-module-qtquick,
-         qml6-module-qtquick-controls,
-         qml6-module-qtquick-effects,
-         qml6-module-qtquick-layouts,
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: KDE Plasma welcome center
  Welcome Center is the perfect introduction to KDE Plasma! It can help
