## plasma-welcome 6.5.4+p24.04+vstable+git20251223.0153

=== debian/changelog ===
plasma-welcome (6.5.4+p24.04+vstable+git20251223.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 23 Dec 2025 01:53:28 +0000

plasma-welcome (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:40 +1000

plasma-welcome (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:25 +1000

plasma-welcome (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:11:52 +1000
