## plasma-welcome 6.5.4+p24.04+vstable+git20251231.0303

=== debian/changelog ===
plasma-welcome (6.5.4+p24.04+vstable+git20251231.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:03:04 +0000
