## plasma-welcome 6.5.5

=== debian/changelog ===
plasma-welcome (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:08:12 +0000

plasma-welcome (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:21:15 +0000

plasma-welcome (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:09:50 +0000

plasma-welcome (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:14:32 +0000

plasma-welcome (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:48:53 +0000

plasma-welcome (6.5.0-0ubuntu2) resolute; urgency=medium

  * Add missing runtime depend on qml6-module-qtnetwork. (LP: #2129931)

 -- Rik Mills <rikmills@kde.org>  Mon, 27 Oct 2025 12:58:39 +0000

plasma-welcome (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:39:36 +0100
