## plasma-welcome 6.5.5+p24.04+vstable+git20260201.0239

=== debian/changelog ===
plasma-welcome (6.5.5+p24.04+vstable+git20260201.0239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:39:30 +0000

plasma-welcome (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:12 +1000
