## plasma-welcome 6.5.5+p24.04+vstable+git20260202.1057

=== debian/changelog ===
plasma-welcome (6.5.5+p24.04+vstable+git20260202.1057-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:57:29 +0000
