## plasma-welcome 6.5.5+p24.04+vunstable+git20260202.0929

=== debian/changelog ===
plasma-welcome (6.5.5+p24.04+vunstable+git20260202.0929-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:29:08 +0000
